There are many here in the village who could benefit from your services. Speak to them to find those who wish to offer employment. They will offer you an assignment when you click on Quest.
They will not ask you to perform a quest which is beyond your abilities, so if they refuse to offer a task, it means that your level is too low to provide a reasonable chance of success.
You should also know that there are quests that you may only perform once, but there are also repeating quests that you may complete several times.
I want to know more about Quests
Return